=== modified file 'dotgraph.py'
--- dotgraph.py	2005-09-20 15:12:17 +0000
+++ dotgraph.py	2005-09-20 18:44:22 +0000
@@ -21,13 +21,14 @@
 
 class Node(object):
     def __init__(self, name, color=None, label=None, rev_id=None,
-                 cluster=None):
+                 cluster=None, node_style=None):
         self.name = name
         self.color = color
         self.label = label
         self.committer = None
         self.rev_id = rev_id
-        self.node_style = []
+        if node_style is None:
+            self.node_style = []
         self.cluster = cluster
 
     def get_committer(self):

=== modified file 'graph.py'
--- graph.py	2005-09-20 18:34:46 +0000
+++ graph.py	2005-09-20 18:44:22 +0000
@@ -204,8 +204,13 @@
 
         if node in distances:
             label.append('d%d' % distances[node])
-        return Node("n%d" % num, color=color, label="\\n".join(label), 
+
+        d_node = Node("n%d" % num, color=color, label="\\n".join(label), 
                     rev_id=node, cluster=cluster)
+        if node not in ancestors:
+            d_node.node_style.append('dotted')
+
+        return d_node
 
     node_relations = []
     num = 0

